Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.ExpressionListContext

- org.apache.groovy.parser.antlr4.GroovyParser.ExpressionListContext

-     public static class GroovyParser.ExpressionListContext
      extends GroovyParserRuleContext

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `boolean` | `canSpread` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ExpressionListContext(ParserRuleContext parent, int invokingState)`
    `ExpressionListContext(ParserRuleContext parent, int invokingState, boolean canSpread)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public List<? extends TerminalNode>` | `COMMA()`
    `` | `public TerminalNode` | `COMMA(int i)`
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public List<? extends ExpressionListElementContext>` | `expressionListElement()`
    `` | `public ExpressionListElementContext` | `expressionListElement(int i)`
    `` | `public int` | `getRuleIndex()`
    `` | `public List<? extends NlsContext>` | `nls()`
    `` | `public NlsContext` | `nls(int i)`

- - ### Field Detail

    - #### public boolean canSpread

  - ### Constructor Detail

    - #### public ExpressionListContext(ParserRuleContext parent, int invokingState)

    - #### public ExpressionListContext(ParserRuleContext parent, int invokingState, boolean canSpread)

  - ### Method Detail

    - #### public List<? extends TerminalNode> COMMA()

    - #### public TerminalNode COMMA(int i)

    - #### <Result> public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public List<? extends ExpressionListElementContext> expressionListElement()

    - #### public ExpressionListElementContext expressionListElement(int i)

    - #### public int getRuleIndex()

    - #### public List<? extends NlsContext> nls()

    - #### public NlsContext nls(int i)